## org.mortbay.html
Class Link

    java.lang.Object
      |
      +--org.mortbay.html.Element
            |
            +--org.mortbay.html.Composite
                  |
                  +--org.mortbay.html.Block
                        |
                        +--org.mortbay.html.Link

public class Link
extends Block

HTML Link Block. This is a HTML reference (not a CSS Link).

See Also:
  `StyleLink`

Field Summary

Fields inherited from class org.mortbay.html.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class org.mortbay.html.Element
`ALIGN, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Link(java.lang.String href)` Construct Link.
`Link(java.lang.String href, java.lang.Object link)` Construct Link.

Method Summary
`Link` `target(java.lang.String t)` Set the link target frame.

Methods inherited from class org.mortbay.html.Block
`write`

Methods inherited from class org.mortbay.html.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Link

    public Link(java.lang.String href)

  Construct Link.

Parameters:
  `href` - The target URL of the link

### Link

    public Link(java.lang.String href,
                java.lang.Object link)

  Construct Link.

Parameters:
  `href` - The target URL of the link
  `link` - Link Element

Method Detail

### target

    public Link target(java.lang.String t)

  Set the link target frame.

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.